Bug 1122501 - kernel-oops:3.15.6-200: unable to handle kernel paging request at c00fddd0
Summary: kernel-oops:3.15.6-200: unable to handle kernel paging request at c00fddd0
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kerneloops
Version: 20
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:50 UTC by customercare
Modified: 2015-06-29 21:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:42:53 UTC


Attachments (Terms of Use)

Description customercare 2014-07-23 11:50:46 UTC
Description of problem:

While booting a laptop with FC 20 a kernel oops appears:

Kernel: BUG: unable to handle kernel paging request at c00fddd0

it does not interrupt booting or operations. 


Version-Release number of selected component (if applicable):

kernel 3.15.6-200

How reproducible:   always
Steps to Reproduce: booting a system

Additional info:

oops is a bit the log : 

Jul 23 11:13:43 localhost kernel: EXT4-fs (dm-3): INFO: recovery
required on readonly filesystem
Jul 23 11:13:43 localhost kernel: EXT4-fs (dm-3): write access will be
enabled during recovery
Jul 23 11:13:46 localhost kernel: EXT4-fs (dm-3): orphan cleanup on
readonly fs
Jul 23 11:13:46 localhost kernel: EXT4-fs (dm-3): 5 orphan inodes deleted
Jul 23 11:13:46 localhost kernel: EXT4-fs (dm-3): recovery complete
Jul 23 11:13:46 localhost kernel: EXT4-fs (dm-3): mounted filesystem
with ordered data mode. Opts: (null)
Jul 23 11:13:48 localhost kernel: audit: type=1404
audit(1406106826.929:2): enforcing=1 old_enforcing=0 auid=4294967295
ses=4294967295
Jul 23 11:13:48 localhost kernel: audit: type=1403
audit(1406106827.214:3): policy loaded auid=4294967295 ses=4294967295
Jul 23 11:13:48 localhost kernel: RPC: Registered named UNIX socket
transport module.
Jul 23 11:13:48 localhost kernel: RPC: Registered udp transport module.
Jul 23 11:13:48 localhost kernel: RPC: Registered tcp transport module.
Jul 23 11:13:48 localhost kernel: RPC: Registered tcp NFSv4.1
backchannel transport module.
Jul 23 11:13:49 localhost kernel: Installing knfsd (copyright (C) 1996
okir@monad.swb.de).
Jul 23 11:13:49 localhost kernel: EXT4-fs (dm-3): re-mounted. Opts: (null)
Jul 23 11:13:50 localhost kernel: wmi: Mapper loaded
Jul 23 11:13:50 localhost kernel: intel_rng: FWH not detected
Jul 23 11:13:50 localhost kernel: ACPI Warning: SystemIO range
0x000020a0-0x000020bf conflicts with OpRegion 0x000020a0-0x000020af
(\_SB_.PCI0.SBUS.SMBI) (201
40214/utaddress-258)
Jul 23 11:13:50 localhost kernel: ACPI: If an ACPI driver is available
for this device, you should use it instead of the native driver
Jul 23 11:13:51 localhost kernel: ACPI Warning: SystemIO range
0x000011b0-0x000011bf conflicts with OpRegion 0x00001180-0x000011bb
(\GPIO) (20140214/utaddress
-258)
Jul 23 11:13:51 localhost kernel: ACPI: If an ACPI driver is available
for this device, you should use it instead of the native driver
Jul 23 11:13:51 localhost kernel: ACPI Warning: SystemIO range
0x00001180-0x000011af conflicts with OpRegion 0x00001180-0x000011bb
(\GPIO) (20140214/utaddress
-258)
Jul 23 11:13:51 localhost kernel: ACPI: If an ACPI driver is available
for this device, you should use it instead of the native driver
Jul 23 11:13:51 localhost kernel: lpc_ich: Resource conflict(s) found
affecting gpio_ich
Jul 23 11:13:51 localhost kernel: cfg80211: Calling CRDA to update world
regulatory domain
Jul 23 11:13:51 localhost kernel: microcode: CPU0 sig=0x6d8, pf=0x20,
revision=0x20
Jul 23 11:13:51 localhost kernel: ath5k 0000:06:05.0: registered as 'phy0'
Jul 23 11:13:51 localhost kernel: microcode: Microcode Update Driver:
v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
Jul 23 11:13:52 localhost kernel: kernel tried to execute NX-protected
page - exploit attempt? (uid: 0)
Jul 23 11:13:52 localhost kernel: BUG: unable to handle kernel paging
request at c00fddd0
Jul 23 11:13:52 localhost kernel: IP: [<c00fddd0>] 0xc00fddd0
Jul 23 11:13:52 localhost kernel: *pdpt = 0000000000dea001 *pde =
0000000000ee8063 *pte = 80000000000fd163
Jul 23 11:13:52 localhost kernel: Oops: 0011 [#1] SMP
Jul 23 11:13:52 localhost kernel: Modules linked in: wistron_btns(+)
snd_intel8x0m(+) snd_ac97_codec sparse_keymap ac97_bus snd_seq
snd_seq_device ath5k(+) in
put_polldev ath snd_pcm microcode mac80211 lpc_ich cfg80211 serio_raw snd_timer mfd_core rfkill snd i2c_i801 soundcore wmi binfmt_misc nfsd auth_rpcgss nfs_ac l lockd sunrpc dm_crypt i915 i2c_algo_bit drm_kms_helper 8139too 8139cp mii ata_generic pata_acpi yenta_socket drm i2c_core video
Jul 23 11:13:52 localhost kernel: CPU: 0 PID: 733 Comm: systemd-udevd Not tainted 3.15.6-200.fc20.i686+PAE #1
Jul 23 11:13:52 localhost kernel: Hardware name: Acer TravelMate 2420/Garda-910                           , BIOS V1.01      12/15/2005
Jul 23 11:13:52 localhost kernel: task: f68cda40 ti: f695a000 task.ti: f695a000
Jul 23 11:13:52 localhost kernel: EIP: 0060:[<c00fddd0>] EFLAGS: 00010082 CPU: 0
Jul 23 11:13:52 localhost kernel: EIP is at 0xc00fddd0
Jul 23 11:13:52 localhost kernel: EAX: 00009610 EBX: 0000012e ECX: 00000000 EDX: 00000000
Jul 23 11:13:52 localhost kernel: ESI: f695bc8c EDI: 0000012e EBP: f7e66400 ESP: f695bc5c
Jul 23 11:13:52 localhost kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Jul 23 11:13:52 localhost kernel: CR0: 80050033 CR2: c00fddd0 CR3: 3691a000 CR4: 000007f0
Jul 23 11:13:52 localhost kernel: Stack:
Jul 23 11:13:52 localhost kernel: f81a2047 f695bc84 00000000 0000012e 00009610 f695bc8c 00000282 f33a3e00
Jul 23 11:13:52 localhost kernel: f81a4014 f81a4014 f695bca8 f81a24e8 00009610 0000012e 00000000 9053091f
Jul 23 11:13:52 localhost kernel: f33a3e0c f81a4014 f81a4014 f695bcc4 c07be8c3 f695bcc4 c07bc4ca f33a3e0c
Jul 23 11:13:52 localhost kernel: Call Trace:
Jul 23 11:13:52 localhost kernel: [<f81a2047>] ? call_bios+0x47/0x70 [wistron_btns]
Jul 23 11:13:52 localhost kernel: [<f81a24e8>] ? wistron_probe+0x38/0x2a0 [wistron_btns]
Jul 23 11:13:52 localhost kernel: [<c07be8c3>] ? platform_drv_probe+0x23/0x70
Jul 23 11:13:52 localhost kernel: [<c07bc4ca>] ? driver_sysfs_add+0x5a/0x80
Jul 23 11:13:52 localhost kernel: [<c07bcaf3>] ? driver_probe_device+0x93/0x3a0
Jul 23 11:13:52 localhost kernel: [<c07bce00>] ? driver_probe_device+0x3a0/0x3a0
Jul 23 11:13:52 localhost kernel: [<c07bce31>] ? __device_attach+0x31/0x40
Jul 23 11:13:52 localhost kernel: [<c07baf6f>] ? bus_for_each_drv+0x4f/0x90
Jul 23 11:13:52 localhost kernel: [<c07bc9f3>] ? device_attach+0x73/0x90
Jul 23 11:13:52 localhost kernel: [<c07bce00>] ? driver_probe_device+0x3a0/0x3a0
Jul 23 11:13:52 localhost kernel: [<c07bbf4f>] ? bus_probe_device+0x6f/0x90
Jul 23 11:13:52 localhost kernel: [<c07ba1b1>] ? device_add+0x481/0x5a0
Jul 23 11:13:52 localhost kernel: [<c06c5170>] ? kvasprintf+0x40/0x50
Jul 23 11:13:52 localhost kernel: [<c06b98d2>] ? kobject_set_name_vargs+0x42/0x60
Jul 23 11:13:52 localhost kernel: [<c07be570>] ? platform_device_add+0xc0/0x290
Jul 23 11:13:52 localhost kernel: [<c07beb4f>] ? platform_device_alloc+0x5f/0x70
Jul 23 11:13:52 localhost kernel: [<f81a72a7>] ? wb_module_init+0x250/0xfa9 [wistron_btns]
Jul 23 11:13:52 localhost kernel: [<f81a7057>] ? dmi_matched+0x57/0x57 [wistron_btns]
Jul 23 11:13:52 localhost kernel: [<c0402142>] ? do_one_initcall+0xd2/0x190
Jul 23 11:13:52 localhost kernel: [<f81a7000>] ? 0xf81a6fff
Jul 23 11:13:52 localhost kernel: [<c044f9bf>] ? set_memory_nx+0x5f/0x70
Jul 23 11:13:52 localhost kernel: [<c04c9be6>] ? load_module+0x1a66/0x2390
Jul 23 11:13:52 localhost kernel: [<c04c6ae9>] ? copy_module_from_fd.isra.47+0x109/0x1a0
Jul 23 11:13:52 localhost kernel: [<c04ca6ad>] ? SyS_finit_module+0x8d/0xd0
Jul 23 11:13:52 localhost kernel: [<c053e753>] ? vm_mmap_pgoff+0x93/0xb0
Jul 23 11:13:52 localhost kernel: [<c0a17ddf>] ? sysenter_do_call+0x12/0x16
Jul 23 11:13:52 localhost kernel: Code: 74 23 66 81 fb 0f 03 74 1c 66 83 fb 13 74 16 66 81 fb 13 01 74 0f 66 81 fb 13 02  74 08 66 83 fb 25 74 02 eb 05 e8 be 00 00 00 c3 <55> 8b ec 83 c4 fc 66 89 45 fe 66 89 5d fc 81 e1 ff ff 00 00 e8
Jul 23 11:13:52 localhost kernel: EIP: [<c00fddd0>] 0xc00fddd0 SS:ESP 0068:f695bc5c
Jul 23 11:13:52 localhost kernel: CR2: 00000000c00fddd0
Jul 23 11:13:52 localhost kernel: ---[ end trace d53506563febf4aa ]---

Comment 1 Bill Gianopoulos 2014-08-01 11:59:57 UTC
I get this but always when the reboot reason is the system hung in a way it did not with kernel-3.15.5-200.  Makes me think the 2 issues are somehow related.

Comment 2 Fedora End Of Life 2015-05-29 12:27:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:42:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.